<div class="row mt-2">
    <div class="col-4">
        <input type="text" class="form-control input" name="length" placeholder="Minutes" 
            [value]="length"
            (keyup)="onInput($event.target.value)">
    </div>
    <div class="col-3 input-label">
        {{(length) | duration}}
    </div>
</div>